LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File devtoolset-4-centos6-i386.spec of Package devtoolset-4-centos6-i386 (Project home:pansenmann:rpath)

# ATTENTION: DO NOT EDIT. this file is generated by import_centos6_devtools.sh.
# ATTENTION: It will be overwritten by the next run. 
Name:           devtoolset-4-centos6-i386
Version:        0.1_oc20170208
Release:        1
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development
Summary:        CentOS-6 devtoolset as a package.
Source:         devtoolset-4-centos6-i386.tar.bz2
Source1:        devtoolset-4-centos6-i386-scripts.tar.bz2
Source2:        import_centos6_devtools.sh
# rpm provides /usr/bin/rpm2cpio
BuildRequires:  rpm cpio	
AutoReqProv:    no

# Disable /usr/lib/rpm/find-debuginfo.sh
# It crashes with Failed to write file: invalid section entry size
%define debug_package %{nil}

Conflicts: gcc-c++ < 4.0.0
Conflicts: gdb < 5.1-2
Obsoletes: devtoolset-4 < 4.1-3.el6
Obsoletes: devtoolset-4-build < 4.1-3.el6
Obsoletes: devtoolset-4-ide < 4.1-3.el6
Obsoletes: devtoolset-4-perftools < 4.1-3.el6
Obsoletes: devtoolset-4-runtime < 4.1-3.el6
Obsoletes: devtoolset-4-toolchain < 4.1-3.el6
Obsoletes: strace64
Provides: binutils-static = 2.25.1-8.el6
Provides: bundled(binutils) = 20160210
Provides: bundled(gnulib) = 20150822
Provides: bundled(libiberty)
Provides: bundled(libiberty) = 20160210
Provides: bundled(md5-gcc) = 20160210
Provides: config(devtoolset-4-gdb) = 7.11-67.el6
Provides: config(devtoolset-4-runtime) = 4.1-3.el6
Provides: config(devtoolset-4-systemtap-initscript) = 2.9-3s.el6
Provides: config(devtoolset-4-systemtap-server) = 2.9-3s.el6
Provides: devtoolset-4 = 4.1-3.el6
Provides: devtoolset-4-binutils = 2.25.1-8.el6
Provides: devtoolset-4-binutils-debuginfo = 2.25.1-8.el6
Provides: devtoolset-4-binutils-debuginfo(x86-32) = 2.25.1-8.el6
Provides: devtoolset-4-binutils-devel = 2.25.1-8.el6
Provides: devtoolset-4-binutils-devel(x86-32) = 2.25.1-8.el6
Provides: devtoolset-4-binutils(x86-32) = 2.25.1-8.el6
Provides: devtoolset-4-build = 4.1-3.el6
Provides: devtoolset-4-build(x86-32) = 4.1-3.el6
Provides: devtoolset-4-dwz = 0.12-1.el6
Provides: devtoolset-4-dwz-debuginfo = 0.12-1.el6
Provides: devtoolset-4-dwz-debuginfo(x86-32) = 0.12-1.el6
Provides: devtoolset-4-dwz(x86-32) = 0.12-1.el6
Provides: devtoolset-4-dyninst = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-debuginfo = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-debuginfo(x86-32) = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-devel = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-devel(x86-32) = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-doc = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-doc(x86-32) = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-static = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-static(x86-32) = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-testsuite = 9.1.0-3.el6
Provides: devtoolset-4-dyninst-testsuite(x86-32) = 9.1.0-3.el6
Provides: devtoolset-4-dyninst(x86-32) = 9.1.0-3.el6
Provides: devtoolset-4-elfutils = 0.166-1.el6
Provides: devtoolset-4-elfutils-debuginfo = 0.166-1.el6
Provides: devtoolset-4-elfutils-debuginfo(x86-32) = 0.166-1.el6
Provides: devtoolset-4-elfutils-devel = 0.166-1.el6
Provides: devtoolset-4-elfutils-devel(x86-32) = 0.166-1.el6
Provides: devtoolset-4-elfutils-libelf = 0.166-1.el6
Provides: devtoolset-4-elfutils-libelf-devel = 0.166-1.el6
Provides: devtoolset-4-elfutils-libelf-devel(x86-32) = 0.166-1.el6
Provides: devtoolset-4-elfutils-libelf(x86-32) = 0.166-1.el6
Provides: devtoolset-4-elfutils-libs = 0.166-1.el6
Provides: devtoolset-4-elfutils-libs(x86-32) = 0.166-1.el6
Provides: devtoolset-4-elfutils(x86-32) = 0.166-1.el6
Provides: devtoolset-4-gcc = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-c++ = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-c++(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-debuginfo = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-debuginfo(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-gdb-plugin = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-gdb-plugin(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-gfortran = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-gfortran(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-plugin-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc-plugin-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-gcc(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-gdb = 7.11-67.el6
Provides: devtoolset-4-gdb-debuginfo = 7.11-67.el6
Provides: devtoolset-4-gdb-debuginfo(x86-32) = 7.11-67.el6
Provides: devtoolset-4-gdb-doc = 7.11-67.el6
Provides: devtoolset-4-gdb-gdbserver = 7.11-67.el6
Provides: devtoolset-4-gdb-gdbserver(x86-32) = 7.11-67.el6
Provides: devtoolset-4-gdb(x86-32) = 7.11-67.el6
Provides: devtoolset-4-ide = 4.1-3.el6
Provides: devtoolset-4-ide(x86-32) = 4.1-3.el6
Provides: devtoolset-4-libasan-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libasan-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libatomic-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libatomic-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libcilkrts-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libcilkrts-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libgccjit = 5.3.1-6.1.el6
Provides: devtoolset-4-libgccjit-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libgccjit-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libgccjit-docs = 5.3.1-6.1.el6
Provides: devtoolset-4-libgccjit-docs(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libgccjit(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libitm-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libitm-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libmpx-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libmpx-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libquadmath-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libquadmath-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libstdc++-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libstdc++-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libstdc++-docs = 5.3.1-6.1.el6
Provides: devtoolset-4-libstdc++-docs(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-libubsan-devel = 5.3.1-6.1.el6
Provides: devtoolset-4-libubsan-devel(x86-32) = 5.3.1-6.1.el6
Provides: devtoolset-4-ltrace = 0.7.91-12.el6
Provides: devtoolset-4-ltrace-debuginfo = 0.7.91-12.el6
Provides: devtoolset-4-ltrace-debuginfo(x86-32) = 0.7.91-12.el6
Provides: devtoolset-4-ltrace(x86-32) = 0.7.91-12.el6
Provides: devtoolset-4-memstomp = 0.1.5-4.el6
Provides: devtoolset-4-memstomp-debuginfo = 0.1.5-4.el6
Provides: devtoolset-4-memstomp-debuginfo(x86-32) = 0.1.5-4.el6
Provides: devtoolset-4-memstomp(x86-32) = 0.1.5-4.el6
Provides: devtoolset-4-oprofile = 1.1.0-2.el6
Provides: devtoolset-4-oprofile-debuginfo = 1.1.0-2.el6
Provides: devtoolset-4-oprofile-debuginfo(x86-32) = 1.1.0-2.el6
Provides: devtoolset-4-oprofile-devel = 1.1.0-2.el6
Provides: devtoolset-4-oprofile-devel(x86-32) = 1.1.0-2.el6
Provides: devtoolset-4-oprofile-jit = 1.1.0-2.el6
Provides: devtoolset-4-oprofile-jit(x86-32) = 1.1.0-2.el6
Provides: devtoolset-4-oprofile-static = 1.1.0-2.el6
Provides: devtoolset-4-oprofile(x86-32) = 1.1.0-2.el6
Provides: devtoolset-4-perftools = 4.1-3.el6
Provides: devtoolset-4-perftools(x86-32) = 4.1-3.el6
Provides: devtoolset-4-runtime = 4.1-3.el6
Provides: devtoolset-4-runtime(x86-32) = 4.1-3.el6
Provides: devtoolset-4-strace = 4.10-2.el6
Provides: devtoolset-4-strace-debuginfo = 4.10-2.el6
Provides: devtoolset-4-strace-debuginfo(x86-32) = 4.10-2.el6
Provides: devtoolset-4-strace(x86-32) = 4.10-2.el6
Provides: devtoolset-4-systemtap = 2.9-3s.el6
Provides: devtoolset-4-systemtap-client = 2.9-3s.el6
Provides: devtoolset-4-systemtap-client(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap-debuginfo = 2.9-3s.el6
Provides: devtoolset-4-systemtap-debuginfo(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap-devel = 2.9-3s.el6
Provides: devtoolset-4-systemtap-devel(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap-initscript = 2.9-3s.el6
Provides: devtoolset-4-systemtap-initscript(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap-runtime = 2.9-3s.el6
Provides: devtoolset-4-systemtap-runtime(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap-sdt-devel = 2.9-3s.el6
Provides: devtoolset-4-systemtap-sdt-devel(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap-server = 2.9-3s.el6
Provides: devtoolset-4-systemtap-server(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap-testsuite = 2.9-3s.el6
Provides: devtoolset-4-systemtap-testsuite(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-systemtap(x86-32) = 2.9-3s.el6
Provides: devtoolset-4-toolchain = 4.1-3.el6
Provides: devtoolset-4-toolchain(x86-32) = 4.1-3.el6
Provides: devtoolset-4-valgrind = 1:3.11.0-19.el6
Provides: devtoolset-4-valgrind-debuginfo = 1:3.11.0-19.el6
Provides: devtoolset-4-valgrind-debuginfo(x86-32) = 1:3.11.0-19.el6
Provides: devtoolset-4-valgrind-devel = 1:3.11.0-19.el6
Provides: devtoolset-4-valgrind-devel(x86-32) = 1:3.11.0-19.el6
Provides: devtoolset-4-valgrind-openmpi = 1:3.11.0-19.el6
Provides: devtoolset-4-valgrind-openmpi(x86-32) = 1:3.11.0-19.el6
Provides: devtoolset-4-valgrind(x86-32) = 1:3.11.0-19.el6
Provides: devtoolset-4(x86-32) = 4.1-3.el6
Provides: gcc = 5.3.1-6.1.el6
Provides: libasan2 = 5.3.1-6.1.el6
Provides: libasan2(x86-32) = 5.3.1-6.1.el6
Provides: libasan.so.2
Provides: libasm.so.1
Provides: libasm.so.1(ELFUTILS_1.0)
Provides: libatomic = 5.3.1-6.1.el6
Provides: libatomic.so.1
Provides: libatomic.so.1(LIBATOMIC_1.0)
Provides: libatomic.so.1(LIBATOMIC_1.1)
Provides: libatomic(x86-32) = 5.3.1-6.1.el6
Provides: libbfd-2.25.1-8.el6.so
Provides: libcc1plugin.so.0
Provides: libcc1.so.0
Provides: libcilkrts = 5.3.1-6.1.el6
Provides: libcilkrts.so.5
Provides: libcilkrts.so.5(CILKABI0)
Provides: libcilkrts.so.5(CILKABI1)
Provides: libcilkrts.so.5(CILKLIB1.02)
Provides: libcilkrts(x86-32) = 5.3.1-6.1.el6
Provides: libcommon.so.9.1
Provides: libdw.so.1
Provides: libdw.so.1(ELFUTILS_0)
Provides: libdw.so.1(ELFUTILS_0.122)
Provides: libdw.so.1(ELFUTILS_0.126)
Provides: libdw.so.1(ELFUTILS_0.127)
Provides: libdw.so.1(ELFUTILS_0.130)
Provides: libdw.so.1(ELFUTILS_0.136)
Provides: libdw.so.1(ELFUTILS_0.138)
Provides: libdw.so.1(ELFUTILS_0.142)
Provides: libdw.so.1(ELFUTILS_0.143)
Provides: libdw.so.1(ELFUTILS_0.144)
Provides: libdw.so.1(ELFUTILS_0.146)
Provides: libdw.so.1(ELFUTILS_0.148)
Provides: libdw.so.1(ELFUTILS_0.149)
Provides: libdw.so.1(ELFUTILS_0.156)
Provides: libdw.so.1(ELFUTILS_0.157)
Provides: libdw.so.1(ELFUTILS_0.158)
Provides: libdw.so.1(ELFUTILS_0.159)
Provides: libdw.so.1(ELFUTILS_0.160)
Provides: libdw.so.1(ELFUTILS_0.161)
Provides: libdw.so.1(ELFUTILS_0.165)
Provides: libdynC_API.so.9.1
Provides: libdynDwarf.so.9.1
Provides: libdynElf.so.9.1
Provides: libdyninstAPI_RT.so.9.1
Provides: libdyninstAPI.so.9.1
Provides: libebl_aarch64-0.166.so
Provides: libebl_aarch64.so(ELFUTILS_0.166)
Provides: libebl_alpha-0.166.so
Provides: libebl_alpha.so(ELFUTILS_0.166)
Provides: libebl_arm-0.166.so
Provides: libebl_arm.so(ELFUTILS_0.166)
Provides: libebl_i386-0.166.so
Provides: libebl_i386.so(ELFUTILS_0.166)
Provides: libebl_ia64-0.166.so
Provides: libebl_ia64.so(ELFUTILS_0.166)
Provides: libebl_ppc-0.166.so
Provides: libebl_ppc64-0.166.so
Provides: libebl_ppc64.so(ELFUTILS_0.166)
Provides: libebl_ppc.so(ELFUTILS_0.166)
Provides: libebl_s390-0.166.so
Provides: libebl_s390.so(ELFUTILS_0.166)
Provides: libebl_sh-0.166.so
Provides: libebl_sh.so(ELFUTILS_0.166)
Provides: libebl_sparc-0.166.so
Provides: libebl_sparc.so(ELFUTILS_0.166)
Provides: libebl_tilegx-0.166.so
Provides: libebl_tilegx.so(ELFUTILS_0.166)
Provides: libebl_x86_64-0.166.so
Provides: libebl_x86_64.so(ELFUTILS_0.166)
Provides: libelf.so.1
Provides: libelf.so.1(ELFUTILS_1.0)
Provides: libelf.so.1(ELFUTILS_1.1)
Provides: libelf.so.1(ELFUTILS_1.1.1)
Provides: libelf.so.1(ELFUTILS_1.2)
Provides: libelf.so.1(ELFUTILS_1.3)
Provides: libelf.so.1(ELFUTILS_1.4)
Provides: libelf.so.1(ELFUTILS_1.5)
Provides: libelf.so.1(ELFUTILS_1.6)
Provides: libelf.so.1(ELFUTILS_1.7)
Provides: libgccjit.so.0
Provides: libgccjit.so.0(LIBGCCJIT_ABI_0)
Provides: libgccjit.so.0(LIBGCCJIT_ABI_1)
Provides: libgccjit.so.0(LIBGCCJIT_ABI_2)
Provides: libgccjit.so.0(LIBGCCJIT_ABI_3)
Provides: libinproctrace.so
Provides: libinstructionAPI.so.9.1
Provides: libitm = 5.3.1-6.1.el6
Provides: libitm.so.1
Provides: libitm.so.1(LIBITM_1.0)
Provides: libitm(x86-32) = 5.3.1-6.1.el6
Provides: libjvmti_oprofile.so.0
Provides: liblto_plugin.so.0
Provides: libmemstomp-backtrace-symbols.so
Provides: libmemstomp.so
Provides: libmpiwrap-x86-linux.so
Provides: libmpx = 5.3.1-6.1.el6
Provides: libmpx.so.0
Provides: libmpx.so.0(LIBMPX_1.0)
Provides: libmpxwrappers.so.0
Provides: libmpxwrappers.so.0(LIBMPXWRAPPERS_1.0)
Provides: libmpx(x86-32) = 5.3.1-6.1.el6
Provides: libopagent.so.1
Provides: libopagent.so.1(OPAGENT_1.0)
Provides: libopcodes-2.25.1-8.el6.so
Provides: libparseAPI.so.9.1
Provides: libpatchAPI.so.9.1
Provides: libpcontrol.so.9.1
Provides: libstackwalk.so.9.1
Provides: libsymLite.so.9.1
Provides: libsymtabAPI.so.9.1
Provides: libubsan = 5.3.1-6.1.el6
Provides: libubsan.so.0
Provides: libubsan(x86-32) = 5.3.1-6.1.el6
Provides: pkgconfig(libdw) = 0.166
Provides: pkgconfig(libelf) = 0.166
Provides: pkgconfig(valgrind) = 3.11.0
Provides: scl-package(devtoolset-4)
Provides: staplog.so
Provides: vgpreload_core-x86-linux.so
Provides: vgpreload_drd-x86-linux.so
Provides: vgpreload_exp-dhat-x86-linux.so
Provides: vgpreload_exp-sgcheck-x86-linux.so
Provides: vgpreload_helgrind-x86-linux.so
Provides: vgpreload_massif-x86-linux.so
Provides: vgpreload_memcheck-x86-linux.so
Requires: avahi
Requires: /bin/awk
Requires: /bin/bash
Requires: /bin/mktemp
Requires: /bin/sh
Requires: binutils
Requires: boost-devel
Requires: bzip2-devel
Requires: chkconfig
Requires: config(devtoolset-4-gdb) = 7.11-67.el6
Requires: config(devtoolset-4-runtime) = 4.1-3.el6
Requires: config(devtoolset-4-systemtap-initscript) = 2.9-3s.el6
Requires: config(devtoolset-4-systemtap-server) = 2.9-3s.el6
Requires: coreutils
Requires: crash
Requires: dejagnu
Requires: devtoolset-4-binutils
Requires: devtoolset-4-binutils >= 2.22.52.0.1
Requires: devtoolset-4-binutils = 2.25.1-8.el6
Requires: devtoolset-4-dwz
Requires: devtoolset-4-dyninst
Requires: devtoolset-4-dyninst = 9.1.0-3.el6
Requires: devtoolset-4-dyninst-devel = 9.1.0-3.el6
Requires: devtoolset-4-dyninst-static = 9.1.0-3.el6
Requires: devtoolset-4-elfutils
Requires: devtoolset-4-elfutils-libelf-devel(x86-32) = 0.166-1.el6
Requires: devtoolset-4-elfutils-libelf(x86-32) = 0.166-1.el6
Requires: devtoolset-4-elfutils-libs(x86-32) = 0.166-1.el6
Requires: devtoolset-4-gcc
Requires: devtoolset-4-gcc = 5.3.1-6.1.el6
Requires: devtoolset-4-gcc-c++
Requires: devtoolset-4-gcc-gfortran
Requires: devtoolset-4-gdb
Requires: devtoolset-4-ide
Requires: devtoolset-4-libgccjit = 5.3.1-6.1.el6
Requires: devtoolset-4-libgccjit-docs = 5.3.1-6.1.el6
Requires: devtoolset-4-libquadmath-devel = 5.3.1-6.1.el6
Requires: devtoolset-4-libstdc++-devel = 5.3.1-6.1.el6
Requires: devtoolset-4-ltrace
Requires: devtoolset-4-memstomp
Requires: devtoolset-4-oprofile
Requires: devtoolset-4-oprofile = 1.1.0-2.el6
Requires: devtoolset-4-perftools
Requires: devtoolset-4-runtime
Requires: devtoolset-4-strace
Requires: devtoolset-4-systemtap
Requires: devtoolset-4-systemtap = 2.9-3s.el6
Requires: devtoolset-4-systemtap-client = 2.9-3s.el6
Requires: devtoolset-4-systemtap-devel = 2.9-3s.el6
Requires: devtoolset-4-systemtap-runtime = 2.9-3s.el6
Requires: devtoolset-4-systemtap-sdt-devel = 2.9-3s.el6
Requires: devtoolset-4-systemtap-server = 2.9-3s.el6
Requires: devtoolset-4-toolchain
Requires: devtoolset-4-valgrind
Requires: devtoolset-4-valgrind = 1:3.11.0-19.el6
Requires: /etc/ld.so.conf.d
Requires: gcc
Requires: gcc-c++
Requires: glibc-devel
Requires: glibc-devel >= 2.2.90-12
Requires: glibc-static
Requires: gmp-devel >= 4.1.2-8
Requires: grep
Requires: initscripts
Requires: kernel-devel
Requires: ld-linux.so.2
Requires: ld-linux.so.2(GLIBC_2.1)
Requires: ld-linux.so.2(GLIBC_2.3)
Requires: libasan.so.2
Requires: libasm.so.1
Requires: libasm.so.1(ELFUTILS_1.0)
Requires: libatomic >= 4.8.0
Requires: libatomic.so.1
Requires: libavahi-client.so.3
Requires: libavahi-common.so.3
Requires: libbfd-2.25.1-8.el6.so
Requires: libboost_system-mt.so.5
Requires: libboost_thread-mt.so.5
Requires: libbz2.so.1
Requires: libcc1plugin.so.0
Requires: libcc1.so.0
Requires: libcilkrts.so.5
Requires: libcommon.so.9.1
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.11)
Requires: libc.so.6(GLIBC_2.1.1)
Requires: libc.so.6(GLIBC_2.1.3)
Requires: libc.so.6(GLIBC_2.2)
Requires: libc.so.6(GLIBC_2.2.3)
Requires: libc.so.6(GLIBC_2.2.4)
Requires: libc.so.6(GLIBC_2.3)
Requires: libc.so.6(GLIBC_2.3.2)
Requires: libc.so.6(GLIBC_2.3.3)
Requires: libc.so.6(GLIBC_2.3.4)
Requires: libc.so.6(GLIBC_2.4)
Requires: libc.so.6(GLIBC_2.6)
Requires: libc.so.6(GLIBC_2.7)
Requires: libc.so.6(GLIBC_2.8)
Requires: libc.so.6(GLIBC_2.9)
Requires: libdl.so.2
Requires: libdl.so.2(GLIBC_2.0)
Requires: libdl.so.2(GLIBC_2.1)
Requires: libdl.so.2(GLIBC_2.3.3)
Requires: libdw.so.1
Requires: libdw.so.1(ELFUTILS_0.122)
Requires: libdw.so.1(ELFUTILS_0.126)
Requires: libdw.so.1(ELFUTILS_0.127)
Requires: libdw.so.1(ELFUTILS_0.130)
Requires: libdw.so.1(ELFUTILS_0.138)
Requires: libdw.so.1(ELFUTILS_0.143)
Requires: libdw.so.1(ELFUTILS_0.148)
Requires: libdw.so.1(ELFUTILS_0.149)
Requires: libdw.so.1(ELFUTILS_0.158)
Requires: libdw.so.1(ELFUTILS_0.161)
Requires: libdw.so.1(ELFUTILS_0.165)
Requires: libdynC_API.so.9.1
Requires: libdynDwarf.so.9.1
Requires: libdynElf.so.9.1
Requires: libdyninstAPI_RT.so.9.1
Requires: libdyninstAPI.so.9.1
Requires: libelf.so.1
Requires: libelf.so.1(ELFUTILS_1.0)
Requires: libelf.so.1(ELFUTILS_1.1)
Requires: libelf.so.1(ELFUTILS_1.1.1)
Requires: libelf.so.1(ELFUTILS_1.2)
Requires: libelf.so.1(ELFUTILS_1.3)
Requires: libelf.so.1(ELFUTILS_1.4)
Requires: libelf.so.1(ELFUTILS_1.5)
Requires: libelf.so.1(ELFUTILS_1.6)
Requires: libelf.so.1(ELFUTILS_1.7)
Requires: libexpat.so.1
Requires: libgcc >= 4.1.2-43
Requires: libgccjit.so.0
Requires: libgcc_s.so.1
Requires: libgcc_s.so.1(GCC_3.0)
Requires: libgcc_s.so.1(GCC_3.3)
Requires: libgcc_s.so.1(GCC_3.3.1)
Requires: libgcc_s.so.1(GLIBC_2.0)
Requires: libgfortran >= 4.4.4-13
Requires: libgmp.so.3
Requires: libgomp >= 4.4.4-13
Requires: libinstructionAPI.so.9.1
Requires: libitm >= 4.7.0-1
Requires: libitm.so.1
Requires: libjvmti_oprofile.so.0
Requires: liblto_plugin.so.0
Requires: liblzma.so.0
Requires: libmpfr.so.1
Requires: libmpi.so.1
Requires: libmpx.so.0
Requires: libmpxwrappers.so.0
Requires: libm.so.6
Requires: libm.so.6(GLIBC_2.0)
Requires: libm.so.6(GLIBC_2.1)
Requires: libncursesw.so.5
Requires: libnspr4.so
Requires: libnss3.so
Requires: libnss3.so(NSS_3.10)
Requires: libnss3.so(NSS_3.12)
Requires: libnss3.so(NSS_3.2)
Requires: libnss3.so(NSS_3.4)
Requires: libnss3.so(NSS_3.5)
Requires: libnss3.so(NSS_3.6)
Requires: libnss3.so(NSS_3.7)
Requires: libnss3.so(NSS_3.9.2)
Requires: libnssutil3.so
Requires: libopagent.so.1
Requires: libopagent.so.1(OPAGENT_1.0)
Requires: libopcodes-2.25.1-8.el6.so
Requires: libparseAPI.so.9.1
Requires: libpatchAPI.so.9.1
Requires: libpcontrol.so.9.1
Requires: libplc4.so
Requires: libplds4.so
Requires: libpopt.so.0
Requires: libpopt.so.0(LIBPOPT_0)
Requires: libpthread.so.0
Requires: libpthread.so.0(GLIBC_2.0)
Requires: libpthread.so.0(GLIBC_2.1)
Requires: libpthread.so.0(GLIBC_2.2)
Requires: libpthread.so.0(GLIBC_2.2.3)
Requires: libpthread.so.0(GLIBC_2.3.2)
Requires: libpthread.so.0(GLIBC_2.3.3)
Requires: libpython2.6.so.1.0
Requires: librpmio.so.1
Requires: librpm.so.1
Requires: librt.so.1
Requires: librt.so.1(GLIBC_2.2)
Requires: libselinux
Requires: libselinux.so.1
Requires: libsmime3.so
Requires: libsmime3.so(NSS_3.4)
Requires: libsqlite3.so.0
Requires: libssl3.so
Requires: libssl3.so(NSS_3.12.6)
Requires: libssl3.so(NSS_3.2)
Requires: libssl3.so(NSS_3.7.4)
Requires: libstackwalk.so.9.1
Requires: libstdc++ >= 4.4.4-13
Requires: libstdc++.so.6
Requires: libstdc++.so.6(CXXABI_1.3)
Requires: libstdc++.so.6(CXXABI_1.3.1)
Requires: libstdc++.so.6(CXXABI_1.3.3)
Requires: libstdc++.so.6(GLIBCXX_3.4)
Requires: libstdc++.so.6(GLIBCXX_3.4.10)
Requires: libstdc++.so.6(GLIBCXX_3.4.11)
Requires: libstdc++.so.6(GLIBCXX_3.4.9)
Requires: libstdc++(x86-32)
Requires: libsymLite.so.9.1
Requires: libsymtabAPI.so.9.1
Requires: libtinfo.so.5
Requires: libubsan.so.0
Requires: libutil.so.1
Requires: libz.so.1
Requires: libz.so.1(ZLIB_1.2.0)
Requires: libz.so.1(ZLIB_1.2.2.3)
Requires: make
Requires: mpfr-devel >= 2.2.1
Requires: nc
Requires: nss
Requires: openssh-clients
Requires: /opt/rh/devtoolset-4/root/usr/bin/stap
Requires: perl(Cwd)
Requires: perl(File::Copy)
Requires: perl(File::Find)
Requires: perl(File::Path)
Requires: perl(Getopt::Std)
Requires: perl(HTML::Entities)
Requires: perl(strict)
Requires: perl(Text::Wrap)
Requires: perl(warnings)
Requires: pkgconfig(libelf) = 0.166
Requires: pkgconfig(liblzma)
Requires: pkgconfig(zlib)
Requires: policycoreutils-python
Requires: prelink
Requires: rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: rpmlib(FileDigests) <= 4.6.0-1
Requires: rpmlib(PartialHardlinkSets) <= 4.0.4-1
Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: rpmlib(PayloadIsXz) <= 5.2-1
Requires: rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: rtld(GNU_HASH)
Requires: /sbin/install-info
Requires: /sbin/ldconfig
Requires: /sbin/restorecon
Requires: sed
Requires: shadow-utils
Requires: strace
Requires: unzip
Requires: /usr/bin/env
Requires: /usr/bin/expect
Requires: /usr/bin/nc
Requires: /usr/bin/perl
Requires: /usr/bin/pkg-config
Requires: /usr/bin/python
Requires: /usr/bin/tclsh
Requires: /usr/sbin/alternatives
Requires: util-linux
Requires: which
Requires: xz-devel
Requires: zip
Requires: zlib-devel
Requires: zlib-devel >= 1.2.2.3
Provides: devtoolset-4-centos6
Provides: devtoolset-4-centos

%description
Tar ball created with 
import_centos6_devtools.sh VERSION 0.2 using
upstream_repo=https://copr-be.cloud.fedoraproject.org/results/mlampe/devtoolset-4.1/epel-6-i386/

%prep
%setup -T -c

%build
tar xvf %{S:0}

%install
set +x
for pkg in */*.rpm; do
  rpm -qp --nosignature $pkg
  rpm2cpio $pkg | (cd %{buildroot} && cpio -idmu)
done
set -x
# extra hacks: I need my files readable and my dirs writable
# to avoid
# create archive failed on file .../opt/rh/devtoolset-4/root/usr/bin/staprun: cpio: Bad magic
# rm: cannot remove .../opt/rh/devtoolset-4/root/usr/lib64/perl5/vendor_perl/Authen: Permission denied
chmod -R u+r %{buildroot}/*
find %{buildroot} -type d -print0 | xargs -0 chmod u+w

mkdir -p %{buildroot}/usr/share/%{name}
tar xvf %{S:1} -C %{buildroot}/usr/share/%{name}
ls -la %{buildroot}/usr/share/%{name}/*

%clean
rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
/opt/*
/usr/*
/etc/*

%pre
## FIXME: we don't have our scripts before installation
for s in /usr/share/%{name}/scripts/*.preinstall; do
  sh $s $1 || true
done

%preun
for s in /usr/share/%{name}/scripts/*.preuninstall; do
  sh $s $1
done

%post
## FIXME: /sbin/restorecon: No such file or directory
for s in /usr/share/%{name}/scripts/*.postinstall; do
  sh $s $1 || true
done

%postun
## FIXME: we no longer have our scripts after uninstall
for s in /usr/share/%{name}/scripts/*.postuninstall; do
  sh $s $1 || true
done

%changelog